org.eclipse.oomph.setup

## Interface EclipseIniTask

- All Superinterfaces:
    EObject, ModelElement, Notifier, SetupTask
  All Known Implementing Classes:
    EclipseIniTaskImpl

      public interface EclipseIniTask
      extends SetupTask

  A representation of the model object 'Eclipse Ini Task'.

  The following features are supported:

  - `Option`
  - `Value`
  - `Vm`
  See Also:
    `SetupPackage.getEclipseIniTask()`
  Generated
  Model

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.oomph.setup.SetupTask

      `PRIORITY_CONFIGURATION, PRIORITY_DEFAULT, PRIORITY_EARLY, PRIORITY_INSTALLATION, PRIORITY_LATE, PRIORITY_REDIRECTION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getOption()` Returns the value of the 'Option' attribute.
    `String` | `getValue()` Returns the value of the 'Value' attribute.
    `boolean` | `isVm()` Returns the value of the 'Vm' attribute.
    `void` | `setOption(String value)` Sets the value of the '`Option`' attribute.
    `void` | `setValue(String value)` Sets the value of the '`Value`' attribute.
    `void` | `setVm(boolean value)` Sets the value of the '`Vm`' attribute.

    - ### Methods inherited from interface org.eclipse.oomph.setup.SetupTask

      `consolidate, dispose, getDescription, getExcludedTriggers, getID, getOverrideToken, getPredecessors, getPriority, getRestrictions, getScope, getScopeType, getSuccessors, getTriggers, getValidTriggers, isDisabled, isNeeded, overrideFor, perform, requires, setDescription, setDisabled, setExcludedTriggers, setID`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getOption

          String getOption()

      Returns the value of the 'Option' attribute.

      If the meaning of the 'Option' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Option' attribute.
      See Also:
        `setOption(String)`, `SetupPackage.getEclipseIniTask_Option()`
      Generated
      Model
        required="true"

    - #### setOption

          void setOption(String value)

      Sets the value of the '`Option`' attribute.
      Parameters:
        `value` - the new value of the 'Option' attribute.
      See Also:
        `getOption()`
      Generated

    - #### getValue

          String getValue()

      Returns the value of the 'Value' attribute.

      If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Value' attribute.
      See Also:
        `setValue(String)`, `SetupPackage.getEclipseIniTask_Value()`
      Generated
      Model

    - #### setValue

          void setValue(String value)

      Sets the value of the '`Value`' attribute.
      Parameters:
        `value` - the new value of the 'Value' attribute.
      See Also:
        `getValue()`
      Generated

    - #### isVm

          boolean isVm()

      Returns the value of the 'Vm' attribute.

      If the meaning of the 'Vm' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Vm' attribute.
      See Also:
        `setVm(boolean)`, `SetupPackage.getEclipseIniTask_Vm()`
      Generated
      Model

    - #### setVm

          void setVm(boolean value)

      Sets the value of the '`Vm`' attribute.
      Parameters:
        `value` - the new value of the 'Vm' attribute.
      See Also:
        `isVm()`
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html